{
    "name": "karname-ui",
    "private": true,
    "version": "0.0.4",
    "scripts": {
        "start": "meteor run --inspect --settings settings.json",
        "test": "meteor test --once --driver-package meteortesting:mocha",
        "test-app": "TEST_WATCH=1 meteor test --full-app --driver-package meteortesting:mocha",
        "test-jest": "jest",
        "test-jest-debug": "node --inspect-brk ./node_modules/jest/bin/jest.js --no-cache --runInBand",
        "visualize": "meteor --production --extra-packages bundle-visualizer",
        "build": "npm version --allow-same-version from-git || meteor run --inspect --settings settings.json",
        "release": "standard-version"
    },
    "dependencies": {
        "@babel/plugin-transform-runtime": "^7.5.5",
        "@babel/runtime": "^7.5.5",
        "bcrypt": "^3.0.6",
        "connect-route": "^0.1.5",
        "fibers": "^4.0.1",
        "git-describe": "^4.0.4",
        "meteor-node-stubs": "^1.0.0",
        "simpl-schema": "^1.5.5",
        "valid-url": "^1.0.9",
        "vue": "^2.6.10",
        "vue-fragment": "^1.5.1",
        "vue-i18n": "^8.14.0",
        "vue-meta": "^2.2.1",
        "vue-meteor-tracker": "^2.0.0-beta.5",
        "vue-router": "^3.1.2",
        "vue-template-compiler": "^2.6.10",
        "vuetify": "^2.0.15",
        "vuex": "^3.1.1"
    },
    "devDependencies": {
        "@babel/core": "^7.6.2",
        "@babel/plugin-proposal-class-properties": "^7.5.5",
        "@babel/plugin-proposal-object-rest-spread": "^7.5.5",
        "@babel/plugin-syntax-dynamic-import": "^7.2.0",
        "@babel/plugin-transform-arrow-functions": "^7.2.0",
        "@babel/plugin-transform-async-to-generator": "^7.5.0",
        "@babel/plugin-transform-spread": "^7.6.2",
        "@babel/preset-env": "^7.5.5",
        "@babel/register": "^7.5.5",
        "@mdi/font": "^3.9.97",
        "@vue/test-utils": "^1.0.0-beta.29",
        "babel-core": "^7.0.0-bridge.0",
        "babel-jest": "^24.9.0",
        "babel-loader": "^8.0.6",
        "babel-plugin-transform-remove-console": "^6.9.4",
        "cross-env": "^5.2.0",
        "css-loader": "^3.2.0",
        "deepmerge": "^4.0.0",
        "file-loader": "^4.2.0",
        "git-revision-webpack-plugin": "^3.0.4",
        "html-loader": "^0.5.5",
        "html-webpack-plugin": "^3.2.0",
        "identity-obj-proxy": "^3.0.0",
        "jest": "^24.9.0",
        "less": "^3.10.3",
        "less-loader": "^5.0.0",
        "material-design-icons-iconfont": "^5.0.1",
        "meteor-jest-stubs": "^2.0.0",
        "sass": "^1.22.9",
        "sass-loader": "^7.2.0",
        "standard-version": "^7.0.0",
        "uglifyjs-webpack-plugin": "^2.2.0",
        "vue-jest": "^3.0.5",
        "vue-loader": "^15.7.1",
        "vue-style-loader": "^4.1.2",
        "vuetify-loader": "^1.3.0",
        "webpack": "^4.39.1",
        "webpack-cli": "^3.3.6",
        "webpack-dev-middleware": "^3.7.0",
        "webpack-hot-middleware": "^2.25.0",
        "webpack-meteor-externals": "0.0.5"
    },
    "jest": {
        "moduleFileExtensions": [
            "js",
            "json",
            "vue"
        ],
        "moduleDirectories": [
            "node_modules",
            "bower_components",
            "shared"
        ],
        "moduleNameMapper": {
            "\\.(jpg|jpeg|png|gif|eot|otf|webp|svg|ttf|woff|woff2|mp4|webm|wav|mp3|m4a|aac|oga)$": "<rootDir>/__mocks__/fileMock.js",
            "\\.(css|less)$": "identity-obj-proxy",
            "^meteor/(.*)": "<rootDir>/__mock__/.meteorMocks/index.js"
        },
        "transform": {
            "^.+\\.js$": "<rootDir>/node_modules/babel-jest",
            ".*\\.(vue)$": "<rootDir>/node_modules/vue-jest"
        },
        "collectCoverage": true,
        "collectCoverageFrom": [
            "**/*.{js,vue}",
            "!**/node_modules/**",
            "!**/coverage/**",
            "!**/__mock__/**"
        ]
    }
}
